The availability of features may depend on your plan type. Contact your Customer Success Manager if you have any questions.
Dev guideRecipesAPI ReferenceChangelog
Dev guideAPI ReferenceRecipesChangelogUser GuideGitHubDev CommunityOptimizely AcademySubmit a ticketLog In
API Reference

List Flags

Get a list of Flags within a Project

You can use query parameters to filter/sort the response.

Path Params
integer
required

The project identifier

Query Params
int64

The max number of items to include per page or results.

int64

Bypass page_token to jump to specific page

string

Pagination page token. Implements prev, next, last, first

integer

Number of previous and next page links to supply for the request (defaults to 1).

sort
array of strings

Sort the Flags based on the attributes from left to right.

sort
boolean

Filter the Flags by archived. A Flag can be either archived (archived=true) or unarchived (archived=false)

boolean

Filter the Flags by enabled. A Flag can be either enabled (enabled=true) or disabled (enabled=false)

rule_status
array of strings

Filter the Flags by Rule Status. Supports matching one, multiple, or excluding multiple values.

  • For matching one: rule_status=value
  • For matching multiple: rule_status=value1,value2
  • For excluding multiple: rule_status=!value1,!value2
rule_status
environment_status
array of strings

Filter the Flags by Environment Status. Supports matching one, multiple, or excluding multiple values.

  • For matching one: environment_status=value
  • For matching multiple: environment_status=value1,value2
  • For excluding multiple: environment_status=!value1,!value2
environment_status
environment_type
array of strings

Filter the Flags by the environment_type

environment_type
environment
array of strings

Filter the Flags by the environment

environment
rule_type
array of strings

Filter the Flags by the rule type.

rule_type
string

Filter the Flags by name, key, or description substring

key_list
array of strings

Filter the Flags by multiple keys

key_list
Headers
string
enum
Defaults to application/json

Generated from available response content types

Allowed:
Responses

Language
Credentials
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json
application/problem+json